import subscribeTwig from './subscribe.twig';
import subscribeData from './subscribe.yml';
import './subscribe.js';

/**
 * Storybook Definition.
 */
export default {
  title: 'Components/Subscribe',
};

export const subscribe = (args) => {
  // Create deep copy of data and merge args.
  let data = JSON.parse(JSON.stringify(subscribeData ?? {}));
  data = Object.assign(data, args);

  return subscribeTwig({
    ...data,
  });
}
subscribe.args = subscribeData;
